import request from '@/utils/request'

// 查询院校考生专项考核列表
export function listAEnrollSpecial(query) {
  return request({
    url: '/ie/aEnrollSpecial/list',
    method: 'get',
    params: query
  })
}

// 查询院校考生专项考核详细
export function getAEnrollSpecial(id) {
  return request({
    url: '/ie/aEnrollSpecial/' + id,
    method: 'get'
  })
}

// 新增院校考生专项考核
export function addAEnrollSpecial(data) {
  return request({
    url: '/ie/aEnrollSpecial',
    method: 'post',
    data: data
  })
}

// 修改院校考生专项考核
export function updateAEnrollSpecial(data) {
  return request({
    url: '/ie/aEnrollSpecial',
    method: 'put',
    data: data
  })
}

// 删除院校考生专项考核
export function delAEnrollSpecial(id) {
  return request({
    url: '/ie/aEnrollSpecial/' + id,
    method: 'delete'
  })
}
